▄███▀▀▀▀▀▀█▀▀▀▀▀▀█▀▀▀▀▀▀█▀▀▀▀▀▀█▀▀▀▀▀▀█▀▀▀▀▀▀█▀▀▀▀▀▀▀█▀▀██▀▀███▄
██▄█  ▄▄▄▄█▄▄  ▄▄█  ▄▄  █  ▄▄  █▄▄  ▄▄█  ▄▄  █  ▄▄▄  █  ▀█  █▄██
████      ███  ███      █      ███  ███      █  ███  █      ████
██▀█▀▀▀▀  ███  ███  ██  █  ▄  ▀███  ███  ▄  ▀█  ▀▀▀  █  █▄  █▀██
████▄▄▄▄▄▄███▄▄███▄▄██▄▄█▄▄██▄▄███▄▄███▄▄██▄▄█▄▄▄▄▄▄▄█▄▄██▄▄████
▀███▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄███▀

▄█████████████████████████████████████████▄
██ Difficulty running Startron natively? ██
▀█████████████████████████████████████████▀

Startron is designed to run natively on .Net Core 3.1.
If you can't run Startron natively, you may not have .Net Core installed on your machine.

Please find the .Net Core 3.1 runtimes here:
https://dotnet.microsoft.com/download/dotnet-core/3.1
(The correct one for your operating system will need to be downloaded and installed before Startron will launch properly)

Only download and install the runtime named ".NET Runtime" for console apps (usually the 3rd section down on the right); .NET Desktop Runtime and ASP.NET Core Runtime do not allow Startron to run so don't install either of these.

Note: Startron has only been tested to work with Windows 10 (x64), Ubuntu 20.04 (x64) & Raspberry Pi OS 2022-01-28 (x64)

If you are having trouble running Startron natively, I'd suggest using the Unity emulated version instead as it takes care of rendering without negotiating with the operating system's built in terminal window.


▄███████████████████████████████████████▄
██ Running Startron natively on Linux? ██
▀███████████████████████████████████████▀

First, ensure you have the correct distribution (use Ubuntu x64 for Intel architecture and ARM x64 for anything else)

To play Startron in a terminal on Linux, make sure to set the terminal to a Monospaced font and resize it to fit exactly 120 columns and 60 rows.

You may also need to set your terminal's character set to "UTF-8" if characters are rendering incorrectly.

After setting up your terminal, enter these instructions to install Startron:

# Switch to root (you'll need the root password for this)
sudo su

# Install NCurses (unless you already have it)
apt-get install libncursesw5

# Go to where the Startron files are (replace the bit after cd with the appropriate directory)
cd ~/Downloads/Startron

# Claim ownership of all the Startron files (replace username with your username)
chown -R username:username *
chmod -R 777 *

# Come out of root
exit

# Go to where the Startron files are (replace the bit after cd with the appropriate directory)
cd ~/Downloads/Startron

# Run Startron
./Startron


If after attempting to run Startron you see an error about libcursesw.so.5 or anything talking about "double free detected in tcache 2", NCurses may not have installed correctly

(At this point if you're stuck I can only advise checking what the apt-get install libncursesw5 command above said and having a Google :) )


▄████████████████████████████████████████▄
██ Startron still won't start natively? ██
▀████████████████████████████████████████▀

Startron is designed to run on a screen resolution of 1280x1024 or greater.

If Startron won't start and is clearly trying to, it's likely that it won't fit on your screen.

I can only suggest using the Unity emulated version instead at this point.


▄███████████████████████████████████████████▄
██ All the pictures and music are missing? ██
▀███████████████████████████████████████████▀

If you're running Startron straight from the .zip file, it will likely not be able to access the res/ folder correctly.
Please extract all the files and folders in the .zip to a new folder before playing Startron.


▄██████████████████████████████████████▄
██ Additional technical difficulties? ██
▀██████████████████████████████████████▀

For technical assistance, please either:
	- Post a detailed explanation of your problem on the Startron TIG Forums development thread here:
	https://forums.tigsource.com/index.php?topic=70384.0

	- Send a message to me on the Startron Neocities hub here:
	https://neocities.org/site/startron

	- Join the Startron Discord and report an issue here:
	https://discord.gg/mdRKQge4hR


▄████████████████████████████████████████▄
██ Want to manually configure Startron? ██
▀████████████████████████████████████████▀

Startron will accept a number of launch parameters provided to it with a plaintext config file next to the application titled "startron.cfg"
(The rest of the parameters are configured using the options menu in-game.)


Language can be set with:
	language: en-gb|en-us


Music playback mode can be set with:
	musicMode: off|cycle|dynamic
(This won't do anything in Linux native versions)
(Defaults to dynamic if not set)

Linux hard window refreshes can be toggled with:
	refreshLinuxWindowOnDraw: on|off
(Turn this off if your game appears to be running slowly in Linux natively (this may result in some screen stretching at the edges if your Linux terminal window is bigger than it needs to be))
(Defaults to on if not set)

Autosave interval (in milliseconds) can be set with:
	autosave: {milliseconds}
(Autosave occurs every 10 minutes by default and can be turned off completely with a millisecond value less than 10000)

Native Windows starting window position can be set with:
	windowX: {pixels}
	windowY: {pixels}
(You can put negative values or values greater than your primary monitor's resolution to have Startron start on another screen if you have more than one)
(This won't do anything in Linux or in Unity emulated versions)

Save file obfuscation can be turned on or off with:
	obfuscatePlayerData: on|off
(Defaults to on if not set)

PC speaker beeps can be toggled with:
	beeper: on|off
(The PC speaker will only work if supported by your operating system (emulated or otherwise))
(Defaults to on if not set)

Anything else in startron.cfg is better set with the in-game options menu for visibility


▄███████████▄
██ CREDITS ██
▀███████████▀

Rogo Darius © 2024 https://startron.neocities.org/about_me.html
Intro music by Moonlit/Byte Garden https://bgaaudio.org/
Ingame music by 20consenses https://forums.tigsource.com/index.php?action=profile;u=86853 & Rtyper